events when using addEventListener on the visualizer element for example:

    const handleOnSceneLoaded = ({ scene }) => {
     console.log('sceneLoaded', scene);
    };
    visualizerApp.on('sceneLoaded', handleOnSceneLoaded);

## Index

### Events

- OnContainerInjected
- OnProductChanged
- OnSceneLoaded
- OnVisualizerLoaded
- onAsyncOperationEnded
- onAsyncOperationStarted
- onHotspotClicked
- onOrderSample
- onProductAddedToCart
- onProductAddedToFavorites
- onProductRemovedFromFavorites
- onSceneAddedToFavorites
- onSceneDisplayed
- onSceneRemovedFromFavorites
- onSceneTouched

## Events

### OnContainerInjected

OnContainerInjected: (eventData: { visualizer: Visualizer }) => void

#### Type declaration

- - (eventData: { visualizer: Visualizer }): void

  - #### Parameters

    - ##### eventData: { visualizer: Visualizer }

      - ##### visualizer: Visualizer

    #### Returns void

### OnProductChanged

OnProductChanged: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### OnSceneLoaded

OnSceneLoaded: (eventData: { scene: IScene }) => void

#### Type declaration

- - (eventData: { scene: IScene }): void

  - #### Parameters

    - ##### eventData: { scene: IScene }

      - ##### scene: IScene

    #### Returns void

### OnVisualizerLoaded

OnVisualizerLoaded: (eventData: { visualizer: Visualizer }) => void

#### Type declaration

- - (eventData: { visualizer: Visualizer }): void

  - #### Parameters

    - ##### eventData: { visualizer: Visualizer }

      - ##### visualizer: Visualizer

    #### Returns void

### onAsyncOperationEnded

onAsyncOperationEnded: (eventData: { processId: string }) => void

#### Type declaration

- - (eventData: { processId: string }): void

  - #### Parameters

    - ##### eventData: { processId: string }

      - ##### processId: string

    #### Returns void

### onAsyncOperationStarted

onAsyncOperationStarted: (eventData: { processId: string }) => void

#### Type declaration

- - (eventData: { processId: string }): void

  - #### Parameters

    - ##### eventData: { processId: string }

      - ##### processId: string

    #### Returns void

### onHotspotClicked

onHotspotClicked: (eventData: { application: IApplication }) => void

#### Type declaration

- - (eventData: { application: IApplication }): void

  - #### Parameters

    - ##### eventData: { application: IApplication }

      - ##### application: IApplication

    #### Returns void

### onOrderSample

onOrderSample: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### onProductAddedToCart

onProductAddedToCart: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### onProductAddedToFavorites

onProductAddedToFavorites: (eventData: { favorites: IFavoriteProductList; product: IProduct }) => void

#### Type declaration

- - (eventData: { favorites: IFavoriteProductList; product: IProduct }): void

  - #### Parameters

    - ##### eventData: { favorites: IFavoriteProductList; product: IProduct }

      - ##### favorites: IFavoriteProductList

      - ##### product: IProduct

    #### Returns void

### onProductRemovedFromFavorites

onProductRemovedFromFavorites: (eventData: { favorites: IFavoriteProductList; product: IProduct }) => void

#### Type declaration

- - (eventData: { favorites: IFavoriteProductList; product: IProduct }): void

  - #### Parameters

    - ##### eventData: { favorites: IFavoriteProductList; product: IProduct }

      - ##### favorites: IFavoriteProductList

      - ##### product: IProduct

    #### Returns void

### onSceneAddedToFavorites

onSceneAddedToFavorites: (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }

      - ##### favoriteScenes: IFavoriteSceneList

      - ##### scene: IFavoriteScene

    #### Returns void

### onSceneDisplayed

onSceneDisplayed: (eventData: { scene: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { scene: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { scene: IFavoriteScene }

      - ##### scene: IFavoriteScene

    #### Returns void

### onSceneRemovedFromFavorites

onSceneRemovedFromFavorites: (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }

      - ##### favoriteScenes: IFavoriteSceneList

      - ##### scene: IFavoriteScene

    #### Returns void

### onSceneTouched

onSceneTouched: () => void

#### Type declaration

- - (): void

  - #### Returns void

Generated using TypeDoc